Debian Bug report logs - #683814
No obvious how to start session-properties / not easily discoverable

version graph

Package: gnome-session-bin; Maintainer for gnome-session-bin is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-session-bin is src:gnome-session.

Reported by: Michael Biebl <biebl@debian.org>

Date: Sat, 4 Aug 2012 11:00:01 UTC

Severity: important

Found in version gnome-session/3.4.2.1-1

Fixed in version gnome-session/3.4.2.1-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#683814; Package gnome-session-bin. (Sat, 04 Aug 2012 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 11:00:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: No obvious how to start session-properties / not easily discoverable
Date: Sat, 04 Aug 2012 12:56:53 +0200
Package: gnome-session-bin
Version: 3.4.2.1-1
Severity: important
File: /usr/bin/gnome-session-properties

gnome-control-center no longer ships a panel for managing the (XDG)
autostart programs.
While we do have gnome-session-properties for that, no menu entry exists
so you need to know about that tool and start it from the command line.
This is not easily discoverable and userfriendly.

We should consider adding a .desktop file for gnome-session-properties
so the tool can be found via the builtin search (for keywords like
start, autostart or session)



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-session-bin depends on:
ii  dbus-x11                                     1.6.2-2
ii  dconf-gsettings-backend [gsettings-backend]  0.12.1-2
ii  gconf-service                                3.2.5-1
ii  gsettings-desktop-schemas                    3.4.2-1
ii  libc6                                        2.13-35
ii  libcairo2                                    1.12.2-2
ii  libdbus-1-3                                  1.6.2-2
ii  libdbus-glib-1-2                             0.100-1
ii  libgconf-2-4                                 3.2.5-1
ii  libgdk-pixbuf2.0-0                           2.26.1-1
ii  libgl1-mesa-glx [libgl1]                     8.0.4-1
ii  libglib2.0-0                                 2.32.3-1
ii  libgtk-3-0                                   3.4.2-3
ii  libice6                                      2:1.0.8-2
ii  libjson-glib-1.0-0                           0.14.2-1
ii  libsm6                                       2:1.2.1-2
ii  libupower-glib1                              0.9.17-1
ii  libx11-6                                     2:1.5.0-1
ii  libxau6                                      1:1.0.7-1
ii  libxcomposite1                               1:0.4.3-2
ii  libxext6                                     2:1.3.1-2
ii  libxrender1                                  1:0.9.7-1
ii  libxtst6                                     2:1.2.1-1
ii  upower                                       0.9.17-1

gnome-session-bin recommends no packages.

gnome-session-bin suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#683814; Package gnome-session-bin. (Sat, 04 Aug 2012 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 11:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 683814@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683814@bugs.debian.org
Subject: Re: Bug#683814: No obvious how to start session-properties / not easily discoverable
Date: Sat, 04 Aug 2012 13:04:51 +0200
[Message part 1 (text/plain, inline)]
related bug report
https://bugzilla.redhat.com/show_bug.cgi?id=702478

/usr/share/applications/session-properties.desktop from GNOME2 might be
a good starting point (I've attached the version from squeeze).



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[session-properties.desktop (application/x-desktop, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#683814; Package gnome-session-bin. (Sat, 04 Aug 2012 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 04 Aug 2012 11:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 683814@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683814@bugs.debian.org
Subject: Re: Bug#683814: No obvious how to start session-properties / not easily discoverable
Date: Sat, 04 Aug 2012 13:12:03 +0200
[Message part 1 (text/plain, inline)]
On 04.08.2012 13:04, Michael Biebl wrote:
> related bug report
> https://bugzilla.redhat.com/show_bug.cgi?id=702478
> 
> /usr/share/applications/session-properties.desktop from GNOME2 might be
> a good starting point (I've attached the version from squeeze).

Actually, we still ship session-properties.desktop in
gnome-session-common, but it is hidden (NoDisplay=true).

Simply removing that flag might be all that is needed.

The .desktop file currently has
Categories=GTK;GNOME;Settings;X-GNOME-PersonalSettings;

Maybe that needs further tweaking, too.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 04 Sep 2012 23:21:05 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 04 Sep 2012 23:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 683814-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 683814-close@bugs.debian.org
Subject: Bug#683814: fixed in gnome-session 3.4.2.1-2
Date: Tue, 04 Sep 2012 23:17:38 +0000
Source: gnome-session
Source-Version: 3.4.2.1-2

We believe that the bug you reported is fixed in the latest version of
gnome-session, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683814@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated gnome-session package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 05 Sep 2012 00:53:57 +0200
Source: gnome-session
Binary: gnome-session gnome-session-fallback gnome-session-bin gnome-session-common
Architecture: source all amd64
Version: 3.4.2.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gnome-session - GNOME Session Manager - GNOME 3 session
 gnome-session-bin - GNOME Session Manager - Minimal runtime
 gnome-session-common - GNOME Session Manager - common files
 gnome-session-fallback - GNOME Session Manager - GNOME fallback session
Closes: 683814
Changes: 
 gnome-session (3.4.2.1-2) unstable; urgency=low
 .
   * debian/patches/13_display_session_properties.patch: Display
     session-properties as the Startup Applications capplet was removed from
     gnome-control-center, which makes it hard to discover the
     gnome-session-properties tool. (Closes: #683814)
   * debian/patches/14_hide_session_properties_help.patch: The help button in
     gnome-session-properties points to the old GNOME 2 user guide and
     therefore doesn't work in GNOME 3, so hide it.
Checksums-Sha1: 
 3026a6f120fded6801ee09f4f7740a1c200e139d 2631 gnome-session_3.4.2.1-2.dsc
 74099d86b091cc38436340869b6ff313c1d08658 64508 gnome-session_3.4.2.1-2.debian.tar.gz
 b5870c52d3583e0e793b4cb797d7ffce97f34e35 135896 gnome-session_3.4.2.1-2_all.deb
 69525d672040c0a4307cbf4a6effe4634d0c514c 131586 gnome-session-fallback_3.4.2.1-2_all.deb
 dc8425c858603a5a307cde5bdae7537f5f8d99f2 274306 gnome-session-common_3.4.2.1-2_all.deb
 2ea05d809262b0c3ebee4c1da4617c048d72da81 230040 gnome-session-bin_3.4.2.1-2_amd64.deb
Checksums-Sha256: 
 78f81d386f6bf0f9ece2936b5c903b678a9b51d579cb9f9c413fb29cab3f219e 2631 gnome-session_3.4.2.1-2.dsc
 3637ddb7ebf4fa35ead8b2aa4401dccb338a2884c7a0b1d9fa512cd6240d21ff 64508 gnome-session_3.4.2.1-2.debian.tar.gz
 c18ca4086ab658fb9ce894a75c80f2382d415cd38f299ac069e5627253a00137 135896 gnome-session_3.4.2.1-2_all.deb
 d1d45853b0e6f1e2de0fac7870607af37ff80bf68a7f11f8d6a0afdd6a7fbc2e 131586 gnome-session-fallback_3.4.2.1-2_all.deb
 bab1e104aeb771243c5f44499335d87c0f21bc4d5d83c13db4109f93a6811a37 274306 gnome-session-common_3.4.2.1-2_all.deb
 d73ba88fcec0877fd3a185dff28283743e272a59ef60a51bb8c28fcf99c42ce5 230040 gnome-session-bin_3.4.2.1-2_amd64.deb
Files: 
 64a0d401ae2e3829175266c6e6475d9a 2631 gnome optional gnome-session_3.4.2.1-2.dsc
 6d9416d27eb2c8b7ef91aa2bb714b9c9 64508 gnome optional gnome-session_3.4.2.1-2.debian.tar.gz
 a379a4fc4cd54999f01f147735b6e465 135896 gnome optional gnome-session_3.4.2.1-2_all.deb
 d1724f112744d66582669db84bd412b6 131586 gnome optional gnome-session-fallback_3.4.2.1-2_all.deb
 2b8066d0f2de00e380bf59e75e90c006 274306 gnome optional gnome-session-common_3.4.2.1-2_all.deb
 a645105cc98197afc15fe4e11b7e6013 230040 gnome optional gnome-session-bin_3.4.2.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQRoh8AAoJEGrh3w1gjyLcwoEQAIHih8k7zbzfPNiPK+jTqm82
4vuykZGOrjg6+TqsuA+hl1I6vCjqkylGPWO09XTAvhK3onuqCFxsNSNHV9TP1ARY
HK56iRJpDk7cinOjZYVCblXnUfDnIki3vxxOnQ+muLsIPp/0bVtLBL6VqryV3Dl0
yKynhRMBq5QeT91H4uxtabOD+xkgs4DAnb1wLpZfBN6Qua7lp766KsQ18Ny820ij
CpSXtNJbJuz0eoOKjrLsdcocUAhgb5T2dWoKxSnkv4axbGbSXzmcVrePS+5VT9II
tJc/41lIilAISrGeCTiQGaV467ipQi/gtXL77r5KD4kXIgxkrfPW1gkAlLxwFa+l
gotDirmQRNmr6J2uP8/P/dD9JnJMJD0fzbTXCHPNHAF9QOWkUX/apVdwgs8cL+3Y
/uUHmQWhilB1ZiValcomnAKUNTczeCupU1nnrzcdeeIv0R2GWyZnx0EdHyTatL8a
mnzitsUZFwkHLr9AOw2m94qohqHXP8eVm3YokRkCzxNGa+7FniFmqF7VCsJsjebz
Z2S8m7GBilXi3olbLsKZdd/21uo4BZ1lsbVro7U7rP/OoX6kY+WTwtm//lxq9Cm3
XH/ozQ8LdEp7xLmM4DkjkFwi/dgwh7y8KM3SKBX7giZacAb+iyk+OPtTBCshDUWz
fQcaLaoDc+AgiNbyfF2N
=rnCW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Oct 2012 07:25:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:38:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.